#-------------------------------------------------
#
# Project created by QtCreator 2011-06-28T19:54:44
#
#-------------------------------------------------

QT       += network xml

QT       -= gui

TARGET = TmLib
TEMPLATE = lib

DEFINES += TMLIB_LIBRARY QT_UI_CLEANUP  QT_CODE_DEBUG QT_DEBUG_TM QT_DEBUG_TM_REMOTE_SERVER QT_DEBUG_TM_UPNP QT_DEBUG_TM_RFBCLIENT QT_DEBUG_TM_UPNP_HTTP VNC_OPTIMIZATION BUFFER_MANAGER_INTEGRATED#QT_CODE_DEBUG_SOCKET QT_DEBUG_TM_RFBCLIENT QT_UI_CLEANUP_ENABLE_N97 QT_DEBUG_TM_REMOTE_SERVER QT_DEBUG_TM_UPNP QT_UI_CLEANUP_ENABLE_N97

#contains(QT_CONFIG, declarative):QT += declarative

INCLUDEPATH += ./TmHeaders $(QTDIR)/include/QtNetwork $(QTDIR)/include/QtXml $(QTDIR)/include/QtCore $(QTDIR)/include 
OBJECTS_DIR = ../obj
MOC_DIR = ../obj
MAKEFILE = ../obj/Makefile


isEmpty($(ANDROID_TARGET_ARCH)) {
    DESTDIR = ../libs/armeabi-v7a
} else {
    DESTDIR = ../libs/$(ANDROID_TARGET_ARCH)
}

SOURCES += QTmGlobal.cpp \
    QTmUpnpControlPoint.cpp \    
    QUpnpHttpServer.cpp \
    QTmApplication.cpp \
    QTmIcon.cpp \
    QTmAudioInfo.cpp \
    QTmDisplayInfo.cpp \
    QTmAppInfo.cpp \
    QTmRemotingInfo.cpp \
    QTmRemoteServer.cpp \
    QTmClientRules.cpp \
    QTmClientProfile.cpp \
    QTmClient.cpp \
    QTmRfbClient.cpp \
    QTmSurface.cpp \
    QTmTouchEvent.cpp \
    QTmPointerEvent.cpp \
    QTmKeyEvent.cpp \
    QTmConfiguration.cpp \
    QTmNetworkObserver.cpp \
    libinterfaceimpl.cpp \
    qtmsurfaceimpl.cpp \
    libinterfaceemitter.cpp \
    TCPSocket.cpp \
    FrameBuffer.cpp \
    FBStates.cpp \
    FBManagerStates.cpp



HEADERS += TmHeaders/QTmUpnpControlPoint.h \
    TmHeaders/QTmGlobal.h \    
    TmHeaders/QUpnpHttpServer.h \
    TmHeaders/QTmApplication.h \
    TmHeaders/QTmIcon.h \
    TmHeaders/QTmAudioInfo.h \
    TmHeaders/QTmDisplayInfo.h \
    TmHeaders/QTmAppInfo.h \
    TmHeaders/QTmRemotingInfo.h \
    TmHeaders/QTmRemoteServer.h \
    TmHeaders/QTmClientProfile.h \
    TmHeaders/QTmClientRules.h \
    TmHeaders/QTmClient.h \
    TmHeaders/QTmRfbClient.h \
    TmHeaders/QTmSurface.h \
    TmHeaders/QTmTouchEvent.h \
    TmHeaders/QTmPointerEvent.h \
    TmHeaders/QTmKeyEvent.h \
    TmHeaders/QTmConfiguration.h \
    TmHeaders/libinterface.h \
    TmHeaders/appinterface.h \
    TmHeaders/QTmNetworkObserver.h \
    TmHeaders/libinterfaceimpl.h \
    TmHeaders/qtmsurfaceimpl.h \
    TmHeaders/libinterfaceemitter.h \
    TmHeaders/TCPSocket.h \
    TmHeaders/RfbThreadListener.h \
    TmHeaders/FrameBuffer.h \
    TmHeaders/FBStateInterface.h \
    TmHeaders/FBStates.h \
    TmHeaders/FBManagerStateInterface.h \
    TmHeaders/FBManagerStates.h \
    TmHeaders/FBManagerInterface.h \
    TmHeaders/SurfaceObserver.h


headers.files = $$HEADERS
isEmpty(INSTALLPREFIX) {
    headers.path = $$[QT_INSTALL_HEADERS]/$$TARGET
    target.path = $$[QT_INSTALL_LIBS]
} else {
    headers.path = $$INSTALLPREFIX/include/$$TARGET
    target.path = $$INSTALLPREFIX/lib/
}
INSTALLS += headers
INSTALLS += target

